interfaces Library: KTextEditor::VariableInterface Class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::VariableInterface Class Reference

This interface is designed to provide access to "document variables", for example variables defined in files like "kate: variable value;" or the emacs style "-*- variable: value -*-". KTextEditor interface to Document Variables. More...

`#include <variableinterface.h>`

List of all members.

## Public Member Functions
unsigned int | variableInterfaceNumber ()
virtual QString | variable (const QString &name) const =0
virtual void | variableChanged (const QString &variable, const QString &value)=0

## Detailed Description

This interface is designed to provide access to "document variables", for example variables defined in files like "kate: variable value;" or the emacs style "-*- variable: value -*-". KTextEditor interface to Document Variables.

The purpose is to allow KTE plugins to use variables. A document implementing this interface should return values for variable that it does not otherwise know how to use, since they could be of interrest to plugins. A document implementing this interface must emit the variableChanged() signal whenever a variable is set that it will return a value for.

Definition at line 41 of file variableinterface.h.

## Member Function Documentation

virtual QString KTextEditor::VariableInterface::variable | ( | const QString & | name | ) | const`[pure virtual]`

| Returns: the value of the variable `name`, or an empty string if the variable is not set or has no value.

virtual void KTextEditor::VariableInterface::variableChanged | ( | const QString & | variable,
|  | const QString & | value
| ) | `[pure virtual]`

| Signal: emitted when a variable is set.

The documentation for this class was generated from the following files:

- variableinterface.h
- variableinterface.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:18 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003